Package groovy.xml

## Class MarkupBuilder.DefaultXmlEscapingFunction

- java.lang.Object
- - groovy.xml.MarkupBuilder.DefaultXmlEscapingFunction

- All Implemented Interfaces:
    `Function<Character,​Optional<String>>`
  Enclosing class:
    MarkupBuilder

      public static class MarkupBuilder.DefaultXmlEscapingFunction
      extends Object
      implements Function<Character,​Optional<String>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultXmlEscapingFunction​(boolean isAttrValue, boolean useDoubleQuotes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<String>` | `apply​(Character ch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Constructor Detail

    - #### DefaultXmlEscapingFunction

          public DefaultXmlEscapingFunction​(boolean isAttrValue,
                                            boolean useDoubleQuotes)

  - ### Method Detail

    - #### apply

          public Optional<String> apply​(Character ch)

      Specified by:
        `apply` in interface `Function<Character,​Optional<String>>`